Update an OIC Integration task history record

put

/epm/rest/public/v1/oicIntegrations/histories/tasks/{integrationTaskHistoryId}

Request

Path Parameters
Body ()
Specifies the parameters to update the OIC integration task history record
Root Schema : Parameters for updating an OIC integration history or task record
Type: object
Show Source
  • The time when integration run or task completed. Timestamp can be provided in the following formats:
    YYYY-MM-DDTHH:MM:SS (UTC)
    YYYY-MM-DDTHH:MM:SS +hh:mm or YYYY-MM-DDTHH:MM:SS -hh:mm (time zone offset)
    YYYY-MM-DDTHH:MM:SS Region/City (time zone name)
  • Messages.
  • Status of the integration run. Allowed values are: PENDING, RUNNING, ERROR and COMPLETED.
Back to Top

Response

Supported Media Types

200 Response

Integration task history updated successfully

400 Response

Error in body

403 Response

Insufficient Permission

404 Response

Not Found, Integration task history not found in EDM
Back to Top

Examples

The following example shows how to update an oic integration run task history from outside EDM submitting a put request on the REST resource using cURL.

cURL Command

curl --user epm_cloud_user -X PUT -H 'Content-Type: application/json' -d @example_request_payload.json https://servername.fa.us2.oraclecloud.com/epm/rest/public/v1/oicIntegrations/histories/tasks/41d92ead-ba2f-4578-a1c0-f80f26fc40ad

Example of Request Body

The following shows an example of the request body in JSON format.

{
    "endTimestamp": "2026-07-08T13:37:20.304Z",
	"messages": "Integration Task completed",
	"status": "COMPLETED"
}

Example of Response Body

The following shows an example of the response body returning integrationTaskHistoryId, which can be used for the same non-edm integration task history operations.


	"41d92ead-ba2f-4578-a1c0-f80f26fc40ad"

Back to Top